# PSF-LoginServer - master - net.psforever.objects.guid.actor.NumberPoolActor
PSF - LoginServer - master - net.psforever.objects.guid.actor.NumberPoolActor
Keywords: PSF LoginServer master net.psforever.objects.guid.actor.NumberPoolActor

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package guid
  Definition Classes
    objects
-  package actor
  Definition Classes
    guid
- NumberPoolActor
- Register
- UniqueNumberSystem
- Unregister

o

net.psforever.objects.guid.actor

# NumberPoolActor 

###
Companion class NumberPoolActor

#### object NumberPoolActor

Source
  NumberPoolActor.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NumberPoolActor
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class GetAnyNumber (id: Option[Any] = None) extends Product with Serializable

   A message to invoke the current `NumberSelector`'s functionality.

   A message to invoke the current `NumberSelector`'s functionality.

   id

     a potential identifier to associate this request

2.  final case class GetSpecificNumber (number: Int, id: Option[Any] = None) extends Product with Serializable

   A message to invoke a `SpecificSelector` to acquire the specific `number`, if it is available in this pool.

   A message to invoke a `SpecificSelector` to acquire the specific `number`, if it is available in this pool.

   number

     the pre-selected number

   id

     a potential identifier to associate this request

3.  final case class GiveNumber (number: Int, id: Option[Any] = None) extends Product with Serializable

   A message to distribute the `number` that was drawn.

   A message to distribute the `number` that was drawn.

   number

     the pre-selected number

   id

     a potential identifier to associate this request

4.  final case class NoNumber (ex: Throwable, id: Option[Any] = None) extends Product with Serializable
5.  final case class ReturnNumber (number: Int, id: Option[Any] = None) extends Product with Serializable

   A message to invoke the `returnNumber` functionality of the current `NumberSelector`.

   A message to invoke the `returnNumber` functionality of the current `NumberSelector`.

   number

     the number

6.  final case class ReturnNumberResult (number: Int, ex: Option[Throwable], id: Option[Any] = None) extends Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def GetSpecificNumber(pool: NumberPool, number: Int): Try[Int]

   Use the `SpecificSelector` on this pool to extract a specific object from the pool, if it is included and available.

   Use the `SpecificSelector` on this pool to extract a specific object from the pool, if it is included and available.

   pool

     the `NumberPool` to draw from

   number

     the number requested

   returns

     the number requested, or an error

5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped